Favicon

You are here: Home > API Reference > Windows > Windows Devices > Execute remote application management actions.

POST /organizations/:organizationId/mdm/windows/enterprise/devices/:winDeviceId/action

Required Permission: mdm.windows.device.action

Sends a remote command to the device to install or uninstall specific applications from the organization's software catalog, inventory list.

POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/action
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/action" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "entity": "application",
  "action": "install",
  "id": "507f1f77bcf86cd799439088",
  "type": "protected"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/action", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "entity": "application",
    "action": "install",
    "id": "507f1f77bcf86cd799439088",
    "type": "protected"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/action",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "entity": "application",
      "action": "install",
      "id": "507f1f77bcf86cd799439088",
      "type": "protected"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winDeviceId string
required
Windows device identifier used for targeting operations, supporting MongoDB ObjectId, IMEI, or serial number formats for flexible device lookup.
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Body Params application/json
entity string required
Target entity type for the action.
application command
action string required
Remote management action to execute on the device specifying operation type: - "install" or "uninstall" if entity is "application" - "wipe" or "reboot" if entity is "command"
wipe reboot
id string required
id of the application to install/uninstall
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
Type of the wipe to perform: - default: to reset PC. - protected: to reset PC, and fully clean internal drive.
≤ 10 characters
protected default
{
    "entity": "application",
    "action": "install",
    "id": "507f1f77bcf86cd799439088",
    "type": "protected"
}

Responses

200 Response application/json
status boolean optional
data object optional
status string optional
Action execution result status indicating whether the command was successfully queued or failed.
≤ 256 characters
{
    "status": true,
    "data": {
        "status": "queued"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5142
message string optional
Win Device not active
{
    "status": false,
    "error": {
        "code": 5142,
        "message": "Win Device not active"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
5025
message string optional
Not supported
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}